package com.yihu.wlyy.entity.follow;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 患者随访记录表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_followup_item_record")
public class FollowUpItemRecord extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4722079233600864444L;

	// 随访记录标识
	private String code;
	// 随访计划标识
	private String plan;
	// 随访计划阶段标识
	private String stage;
	// 随访计划阶段随访项标识
	private String item;
	// 类型：1问卷，2体测
	private Integer type;
	// 标题
	private String title;
	// 状态：0未作答，1已作答，2已完成
	private Integer status;
	// 生成日期
	private Date czrq;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getPlan() {
		return plan;
	}

	public void setPlan(String plan) {
		this.plan = plan;
	}

	public String getStage() {
		return stage;
	}

	public void setStage(String stage) {
		this.stage = stage;
	}

	public String getItem() {
		return item;
	}

	public void setItem(String item) {
		this.item = item;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
